#{extends 'border.html'/}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.listHasilKlarifikasi(pmb?.id)}">&{'hasil_klarifikasi.label'}</a></li>
                <li class="active">&{'persetujuan_update_data.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <h4>&{'daftar_distributor.label'}</h4>
        #{form @katalog.PermohonanPembaruanCtr.submitDistributorApprovalPeritems() , method:'POST', id:'formProdukPerm'}
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonSimpan}
                    <input type="submit" value="&{'simpan.label'}" class="btn btn-primary"/>
                #{/if}
                #{if approved == 0 }
                    <button type="submit"class="btn btn-warning" ><i class="fa fa-check"></i> &{'setujui_perubahan.label'}</button>
                #{/if}
                <a href="#" onclick="openForm()"  class="btn btn-success btn-md"><i class="fa fa-calendar-check-o"></i> &{'selesaikan_persetujuan.label'}</a>
            </div>
            <!-- End Toolbar -->
            <div class="panel panel-default">
                <input type="hidden" id="idPembaruan" name="idPembaruan" value="${pmb.id}">
                <input type="hidden" id="idsDist" name="idsDist" value="${idsDist}">
                <div class="panel-body" style="overflow-x: auto">
                    #{alert /}
                    <!-- Data Table -->
                    <table class="table table-condensed" id="tblPembaruanDistributor">
                        <thead>
                        <tr>
                            <th>&{'nomor.label'}</th>
                            <th>&{'pilih.label'}</th>
                            <th>&{'nama_distributor.label'}</th>
                            <th>&{'nomor_telp.label'}</th>
                            <th>&{'email.label'}</th>
                            <th>&{'situs_web.label'}</th>
                            <th>&{'status.label'}</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        #{/form}
        </div>
    </div>

    <div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.selesaikanApprovalProdukAtauDistributor(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <b>&{'selesaikan_approval.label'}</b>
                        </div>
                    </div>
                    <input class="form-control permId" value="${pmb.id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblPembaruanDistributor").dataTable({
            ajax : {
                url : "@{DataTableCtr.listApprovalDistributor()}",
                cache : true,
                data : {
                    idDist : ${idsDist},
                    idPembaruan : ${idPembaruan}
                }
            },
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : true
            }, {
                "searchable" : true
            }, {
                "searchable" : false
            }, {
                "searchable" : false
            }, {
                "searchable" : false, "className": "header-center"
            } ]
        });

    });

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#modalTitle').text("&{'persetujuan_update_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        $('#formSetuju').submit();
    }
</script>
#{/set}
